#
# spec file for package sc-contoller
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           sc-controller
Version:        0.3.6.2
Release:        1.4
Summary:        User-mode driver and GTK3-based GUI for the Steam Controller
License:        GPL-2.0
Group:          Hardware/Joystick
Url:            https://github.com/kozec/sc-controller
Source:         https://github.com/kozec/sc-controller/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
# PATCH-FIX-UPSTREAM https://github.com/kozec/sc-controller/pull/166
Patch1:         desktop-file.patch
BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(python2)
BuildRequires:  pkgconfig(udev)
BuildRequires:  hicolor-icon-theme
BuildRequires:  fdupes
BuildRequires:  shared-mime-info
Requires:       libgtk-3-0
Requires:       python-gobject
Requires:       python-pylibacl
Requires:       python-setuptools
Requires:       typelib-1_0-Rsvg-2_0

%description
Application allowing to setup, configure and use the Steam Controller
without using the Steam client.

%prep
%setup -q
%patch1 -p1

%build
python setup.py build

%install
python setup.py install --root=%{buildroot} --optimize=1

%fdupes %{buildroot}%{_prefix}

%post
%desktop_database_post
%icon_theme_cache_post
%mime_database_post

%postun
%desktop_database_postun
%icon_theme_cache_postun
%mime_database_postun

%files
%defattr(-,root,root)
%doc README.md LICENSE ADDITIONAL-LICENSES TODO.md
%{_bindir}/*
%{python_sitearch}/*
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_datadir}/scc/
%{_datadir}/mime/packages/*
%{_datadir}/icons/hicolor/*
%{_udevrulesdir}/90-sc-controller.rules

%changelog
* Wed Jan 25 2017 jengelh@inai.de
- Fixes to descriptions
* Sun Jan 22 2017 mailaender@opensuse.org
- initial packaging of version 0.3.6.2
